Name:           perl-Catalyst-Engine-Apache
Version:        1.12
Release:        4%{?dist}
Summary:        Catalyst Apache Engines
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Engine-Apache/
Source0:        http://www.cpan.org/authors/id/A/AG/AGRUNDMA/Catalyst-Engine-Apache-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Runtime)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
# t/03podcoverage.t fails
# BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(Catalyst::Runtime)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
These classes provide mod_perl support for Catalyst.

%prep
%setup -q -n Catalyst-Engine-Apache-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# remove MP13 and MP19 as they are not used in Fedora
find $RPM_BUILD_ROOT -type f -name '*MP13.*' -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*MP19.*' -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# t/03podcoverage.t fails
rm t/03podcoverage.t
TEST_POD=1 make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 13 2008 Iain Arnell <iarnell@gmail.com> 1.12-2
- exclude MP13 and MP19

* Mon Sep 15 2008 Iain Arnell <iarnell@gmail.com> 1.12-1
- Specfile autogenerated by cpanspec 1.77.
